package betterwithmods.client.container;

import betterwithmods.api.util.IProgressSource;
import net.minecraft.inventory.Container;
import net.minecraft.inventory.IContainerListener;

public abstract class ContainerProgress extends Container {
    private IProgressSource progressSource;

    public ContainerProgress(IProgressSource progressSource) {
        this.progressSource = progressSource;
    }

    @Override
    public void func_75132_a(IContainerListener listener) {
        super.func_75132_a(listener);
        listener.func_71112_a(this, 0, progressSource.getProgress());
        listener.func_71112_a(this, 1, progressSource.getMax());
    }

    @Override
    public void func_75142_b() {
        super.func_75142_b();
        for (IContainerListener craft : this.field_75149_d) {
            craft.func_71112_a(this, 0, progressSource.getMax());
            craft.func_71112_a(this, 1, progressSource.getProgress());
        }
    }

    @Override
    public void func_75137_b(int id, int data) {
        switch(id) {
            case 0:
                this.progressSource.setMax(data);
            case 1:
                this.progressSource.setProgress(data);
        }
    }
}
